local mod
    for _, m in pairs(BLT.Mods:Mods()) do
        if m:GetName() == "Burst Fire" then
            mod = m
            break
        end
    end

Hooks:PostHook(WeaponTweakData, "init", "B9VariousModInit", function(self)
	
	--Burst code
	if mod and mod:IsEnabled() then
		self.b92fs.CAN_TOGGLE_FIREMODE = true
		self.b92fs.BURST_FIRE = 3
	end
	self.b92fs.sounds.fire_single = "beretta_fire"
	self.b92fs.sounds.fire_auto = "beretta_fire"
	--self.b92fs.sounds.stop_fire = "beretta_stop"
	
	if mod and mod:IsEnabled() then
		self.x_b92fs.CAN_TOGGLE_FIREMODE = true
		self.x_b92fs.BURST_FIRE = 6
	end
	self.x_b92fs.sounds.fire_single = "beretta_fire"
	self.x_b92fs.sounds.fire_auto = "beretta_fire"
	--self.x_b92fs.sounds.stop_fire = "beretta_stop"
	
	
	--CAP Section
	self:SetupAttachmentPoint( "b92fs", {
        name = "a_ns_revy",
        base_a_obj = "a_ns",
        position = Vector3( 0, 3.375, 0 ),
    })
	self:SetupAttachmentPoint( "b92fs", {
        name = "a_ns_revy_93r",
        base_a_obj = "a_ns",
        position = Vector3( 0, 6.375, 0 ),
    })
	self:SetupAttachmentPoint( "x_b92fs", {
        name = "a_ns_revy",
        base_a_obj = "a_ns",
        position = Vector3( 0, 3.375, 0 ),
    })
	self:SetupAttachmentPoint( "x_b92fs", {
        name = "a_ns_revy_93r",
        base_a_obj = "a_ns",
        position = Vector3( 0, 6.375, 0 ),
    })
	self:SetupAttachmentPoint( "b92fs", {
        name = "a_os_revy",
        base_a_obj = "a_os",
        position = Vector3( 0, 3.375, 0 ),
    })

end)